#
# spec file for package dleyna-server
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2014 Dominique Leuenberger, Amsterdam, The Netherlands
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           dleyna-server
Version:        0.5.0
Release:        4.2
Summary:        Discover and browse Digital Media Servers
License:        LGPL-2.1
Group:          System/Libraries
Url:            http://01.org/dleyna
Source:         https://01.org/sites/default/files/downloads/dleyna/%{name}-%{version}.tar.gz
BuildRequires:  pkgconfig(dleyna-core-1.0) >= 0.5.0
BuildRequires:  pkgconfig(gio-2.0) >= 2.28
BuildRequires:  pkgconfig(glib-2.0) >= 2.28
BuildRequires:  pkgconfig(gssdp-1.0) >= 0.13.2
BuildRequires:  pkgconfig(gupnp-1.0) >= 0.20.3
BuildRequires:  pkgconfig(gupnp-av-1.0) >= 0.11.5
BuildRequires:  pkgconfig(gupnp-dlna-2.0) >= 0.9.4
BuildRequires:  pkgconfig(libsoup-2.4) >= 2.28.2
# As dleyna-server publishes itself on DBus, it needs access to the DBus connector
Requires:       dleyna-connector-dbus
Provides:       dbus(com.intel.dleyna-server) = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
dLeyna-server can be used in conjunction with a multimedia framework, such as GStreamer,
to implement a Digital Media Player. It can also be used to implement the
DLNA Download System Use Case.

%package devel
Summary:        Discover and manipulate Digital Media Renderers -- Development files
Group:          Development/Languages/C and C++
Requires:       %{name} = %{version}

%description devel
dLeyna-server can be used in conjunction with a multimedia framework, such as GStreamer,
to implement a Digital Media Player. It can also be used to implement the
DLNA Download System Use Case.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete -print

%files
%defattr(-,root,root)
%doc ChangeLog README COPYING
%dir %{_datadir}/dbus-1
%dir %{_datadir}/dbus-1/services
%{_datadir}/dbus-1/services/com.intel.dleyna-server.service
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/libdleyna-server-1.0.so.*
%{_libexecdir}/dleyna-server-service
%config %{_sysconfdir}/dleyna-server-service.conf

%files devel
%defattr(-,root,root)
%{_includedir}/dleyna-1.0/
%{_libdir}/%{name}/libdleyna-server-1.0.so
%{_libdir}/pkgconfig/dleyna-server-service-1.0.pc

%changelog
* Sat May  2 2015 zaitor@opensuse.org
- Update to version 0.5.0:
  + [Build] Fix out-of-source-tree builds.
  + Fix various configure & build issues.
  + [Autoconf]:
  - Sub Makefile: Remove ACLOCAL_AMFLAGS.
  - Add --no-undefined to compiler option.
  + [upnp] Use "port" setting when creating GUPnPContextManager.
  + [Deprecated API] Use new API instead of deprecated.
  + [Device]:
  - Fix wake-on ip address used for broadcast.
  - Sleeping devices cache cleanup.
  - Improve sleeping context lookup.
  - Move the network interface info storage.
  - Improve Network Interface info and device context matching.
  - RetrieFve sleeping state via GetInterfaceInfo action.
  - Add sleeping device memory cache.
  - Add wake packet sending support.
  - Add Energy Management features.
  + [Configuration] Remove libdleyna-server .pc file.
  + [Documentation] Fix URL to MediaServer2Spec.
  + [Tests]:
  - Save changed ServiceResetToken in configuration.
  - Survive a missing ServiceResetToken in dsc.
  - Fix a typo in the Upload Sync Controller's error management.
* Fri Oct 17 2014 dimstar@opensuse.org
- Require dleyna-connector-dbus: dleyna-server includes a
  dbus-service and relies thus on dleyna-connector-dbus (at this
  moment this is the only supported connector).
* Tue Sep 16 2014 dimstar@opensuse.org
- Package COPYING file.
* Thu Sep 11 2014 dimstar@opensuse.org
- Initial package, version 0.4.0.
